CRONTAB(1)

NAME
crontab - maintains crontab files for individual users

SYNOPSIS
crontab <file | ->
crontab [-T] <file | ->
crontab <-l | -r | -e> [-i] [-s]
crontab -V

DESCRIPTION
Crontab is the program used to install a crontab table file, remove or list the existing tables used to serve the cron(8) daemon. Each user can have their own crontab, and though these are files in /data/data/com.termux/files/usr/var/spool/, they are not intended to be edited directly.

The temporary directory can be set in an environment variable. If it is not set by the user, the /data/data/com.termux/files/usr/tmp directory is used.

When listing a crontab on a terminal the output will be colorized unless an environment variable NO_COLOR is set.

On edition or deletion of the crontab, a backup of the last crontab will be saved to $XDG_CACHE_HOME/crontab/crontab.bak or $XDG_CACHE_HOME/crontab/crontab.<user>.bak if -u is used. If the XDG_CACHE_HOME environment variable is not set, $HOME/.cache will be used instead.

OPTIONS

-T  Test the crontab file syntax without installing it. Once an issue is found, the validation is interrupted, so this will not return all the existing issues at the same execution.

-l  Displays the current crontab on standard output.

-r  Removes the current crontab.

-e  Edits the current crontab using the editor specified by the VISUAL or EDITOR environment variables. After you exit from the editor, the modified crontab will be installed automatically.

-i  This option modifies the -r option to prompt the user for a 'y/Y' response before actually removing the crontab.

-s  Appends the current SELinux security context string as an MLS_LEVEL setting to the crontab file before editing / replacement occurs - see the documentation of MLS_LEVEL in crontab(5).

-V  Print version and exit.

SEE ALSO
crontab(5), cron(8)

STANDARDS
The crontab command conforms to IEEE Std1003.2-1992 (``POSIX'') with one exception: For replacing the current crontab with data from standard input the - has to be specified on the command line if the standard input is a TTY. This new command syntax differs from previous versions of Vixie Cron, as well as from the classic SVR3 syntax.

DIAGNOSTICS
An informative usage message appears if you run a crontab with a faulty command defined in it.

AUTHOR
Paul Vixie (vixie@isc.org)
Colin Dean (colin@colin-dean.org)